import request from '@/utils/request'

// 查询机构人员档案列表
export function listFiles(query) {
  return request({
    url: '/files/files/list',
    method: 'get',
    params: query
  })
}

// 查询机构人员档案详细
export function getFiles(id) {
  return request({
    url: '/files/files/' + id,
    method: 'get'
  })
}

// 新增机构人员档案
export function addFiles(data) {
  return request({
    url: '/files/files',
    method: 'post',
    data: data
  })
}
// 修改机构人员档案
export function importTemp() {
  return request({
    url: '/files/files/importTemp',
    method: 'get'
  })
}


// 修改机构人员档案
export function updateFiles(data) {
  return request({
    url: '/files/files',
    method: 'put',
    data: data
  })
}

// 删除机构人员档案
export function delFiles(id) {
  return request({
    url: '/files/files/' + id,
    method: 'delete'
  })
}

// 导出机构人员档案
export function exportFiles(query) {
  return request({
    url: '/files/files/export',
    method: 'get',
    params: query
  })
}

// 通过api获取主服务机构信息
export function apiGetOrgInfos() {
  return request({
    url: '/api/getOrganization',
    method: 'get'
  })
}
